Subject: Re: L.A.R.E

From: [email-masked] (CLARB2)
Date: 4 May 1995 09:27:35 -0400

The best source for help in understanding the new format of the Landscape
Architect Registration Examination is a book called "Understanding the
L.A.R.E.-- Third Edition" published by C.L.A.R.B.  We also have a two-hour
video called "Licensure and the L.A.R.E." which is a good companion piece
for the book.  To get more information about these resources, and about
additional discounted reference books, please call C.L.A.R.B. at
703/818-1300, FAX us at 703/818-1309 or e-mail to us at [email-masked]. 
We can also give you information about who to contact in the state where
you wish to take the exam for specific information about times and
locations.  We look forward to hearing from you!